# @summary
#   profile for puppet agents
#
class tails_profile_puppet::agent {
  class { 'puppet':
    runmode                    => 'systemd.timer',
    runinterval                => 14400,
    systemd_randomizeddelaysec => 25 * 60,
    manage_packages            => false,
    agent                      => true,
    ssldir                     => '/var/lib/puppet/ssl',
    vardir                     => '/var/cache/puppet',
    sharedir                   => '/usr/share/puppet',
    additional_settings        => { fact_value_length_soft_limit => 65535 },
  }

  # XXX remove once we migrated away from all legacy facts, see
  # https://gitlab.torproject.org/tpo/tpa/team/-/issues/42110
  puppet::config::entry { 'include_legacy_facts':
    key          => 'include_legacy_facts',
    value        => true,
    section      => 'agent',
    sectionorder => 2,
  }

  file { '/opt/puppetlabs':
    ensure => directory,
    owner  => 'root',
    group  => 'root',
    mode   => '0755',
  }
}
