# @summary
#   Environments deployment using g10k
#
# @param cachedir
#   The cache directory for g10k
class tails_profile_puppet::master::g10k (
  Stdlib::Absolutepath $cachedir = '/var/cache/g10k',
) {
  ensure_packages(['g10k', 'python3-yaml'])

  $basedir = assert_type(Stdlib::Absolutepath, $puppet::server::config::primary_envs_dir)
  $remote = assert_type(Stdlib::Absolutepath, $puppet::server::git_repo_path)

  file { '/etc/g10k.yaml':
    ensure  => file,
    content => epp('tails_profile_puppet/master/g10k.yaml.epp', {
      basedir  => $basedir,
      cachedir => $cachedir,
      remote   => $remote,
    }),
    owner   => root,
    group   => root,
    mode    => '0644',
  }

  $environments_owner = assert_type(String[1], $puppet::server::environments_owner)

  file { $cachedir:
    ensure => directory,
    owner  => $environments_owner,
    group  => $environments_owner,
    mode   => '0755',
  }
}
