include profile::tails::base

node /(chameleon|dragon|iguana|lizard|skink)\.tails\.net/ {
  include role::tails::physical
}

node 'apt.lizard' {
  include role::tails::apt
}

node 'apt-proxy.lizard' {
  include role::tails::apt_proxy
}

node 'bittorrent.lizard' {
  include role::tails::bittorrent
}

node 'dns.lizard' {
  include role::tails::dns::primary
}

node 'jenkins.dragon' {
  include role::tails::jenkins::orchestrator
}

node 'mail.lizard' {
  include role::tails::mail
}

node 'misc.lizard' {
  include role::tails::misc
}

node 'puppet-git.lizard' {
  include role::tails::gitolite
}

node 'rsync.lizard' {
  include role::tails::rsync
}

node 'translate.lizard' {
  include role::tails::translate
}

node 'whisperback.lizard' {
  include role::tails::whisperback
}

node 'www.lizard' {
  include role::tails::www
}

node 'ecours.tails.net' {
  include role::tails::ecours
}

node 'gecko.tails.net' {
  include role::tails::gecko
}

node 'teels.tails.net' {
  include role::tails::dns::secondary
}

node 'puppet.lizard' {
  include role::tails::puppetserver
}

node /gitlab-runner[0-9]*\.(dragon|iguana)/ {
  include role::tails::gitlab_runner
}

node 'proxy-dev.skink' {
  include role::tails::reverse_proxy
}

node /^isoworker\d+\.(dragon|iguana)$/ {
  include role::tails::jenkins::isoworker
}

node 'isoworkers-mail.iguana' {
  include role::tails::jenkins::mail
}

node 'mta.chameleon' {
  include role::tails::mta
}

node 'www2.chameleon' {
  include role::tails::www2
}

node 'testlab.skink' {
  include role::tails::testlab
}
