#!/bin/sh
#
# Extract from Mirrorbits stats the number of .img and .iso downloads for last
# month.

MIRRORBITS_PASS=$(cat /etc/mirrorbits-rpc-password)
BEGINNING_OF_LAST_MONTH=$(date --date='last month' '+%Y-%m-01')
END_OF_LAST_MONTH=$(date --date="$(date +%Y-%m-01) -1 day" "+%Y-%m-%d")

echo "Mirrorbits stats for: ${BEGINNING_OF_LAST_MONTH} - ${END_OF_LAST_MONTH}"
echo '============================================='
echo
echo "ISO"
echo "---"
echo
echo "$MIRRORBITS_PASS" | mirrorbits -a \
        stats \
        -start-date "$BEGINNING_OF_LAST_MONTH" \
        -end-date "$END_OF_LAST_MONTH" \
        file \
        '^/stable/tails-amd64-.*iso$' | sed -e 's/Password: \*\+//'
echo
echo "IMG"
echo "---"
echo
echo "$MIRRORBITS_PASS" | mirrorbits -a \
        stats \
        -start-date "$BEGINNING_OF_LAST_MONTH" \
        -end-date "$END_OF_LAST_MONTH" \
        file \
        '^/stable/tails-amd64-.*img$' | sed -e 's/Password: \*\+//'
