#!/bin/sh
#
# Try to send a message via the Whisperback onion service to a recipient that
# is not allowed, and restart the service if we get anything other than the
# expected response.

if [ -z "$1" ]; then
	echo "Usage: $0 ONION_ADDRESS"
	exit 1
fi

SERVER=$1

torsocks swaks \
        --server "$SERVER" \
        --to test@example.com \
        --timeout 30s

# SWAKS exit code 24 is "no RCPTs accepted"
test $? -eq 24 || systemctl restart tor
