# @summary
#   base profile for all nodes
#
class profile::tails::base {
  # Sanity checks

  if $facts['os']['name'] != 'Debian' {
    fail('This module only supports Debian.')
  }

  # Include profiles we want on all nodes

  include profile::tails::apt
  include profile::tails::augeas
  include profile::tails::base
  include profile::tails::cron
  include profile::tails::etckeeper
  include profile::tails::facts_d
  include profile::tails::firewall
  include profile::tails::fsck
  include profile::tails::fstrim
  include profile::tails::grub
  include profile::tails::hosts
  include profile::tails::loginrecords
  include profile::tails::network
  include profile::tails::nonfs
  include profile::tails::packages
  include profile::tails::rbac
  include profile::tails::ssh
  include profile::tails::sudo
  include profile::tails::sysadmins
  include profile::tails::sysctl
  include profile::tails::systemd
  include profile::tails::timezone
  include profile::tails::tor
  include profile::tails::vim

  # XXX This will be removed when we merge the TPA and Tails Puppet codebase
  # and servers. When that's done, make sure to note that "stone.tails.net" is
  # set as a masterless node via hiera.
  include tails_profile_puppet

  # XXX This will be removed when we merge the TPA and Tails monitoring
  # systems.
  include monitoring

  if $facts['virtual'] == 'physical' {
    include profile::tails::physical
  } else {
    include profile::tails::virtual
  }
}
