# Configure a "safe" directory, as a workaround for:
#    https://gitlab.tails.boum.org/tails/sysadmin/-/issues/17988
#    https://github.com/puppetlabs/puppetlabs-vcsrepo/issues/535
define profile::tails::git::safe {
  include profile::tails::git

  case $::facts['os']['distro']['codename'] {
    'bullseye': {
      concat::fragment { "gitconfig ${name}":
        target  => '/etc/gitconfig',
        content => "[safe]\n\tdirectory = ${name}\n\n",
        before  => Vcsrepo[$name],
      }
    }
    default: {}
  }
}
