# @summary
#   Manage Jenkins plugins
#
class profile::tails::jenkins::plugins () {
  jenkins::plugin { 'antisamy-markup-formatter':
    version       => '173.v680e3a_b_69ff3',
    digest_string => '29b4765797f26c44574a2732ddf9d7d98ea0283295352497dd9eef84aed0102f',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'apache-httpcomponents-client-4-api':
    version       => '4.5.14-269.vfa_2321039a_83',
    digest_string => 'cea2f61cc72890b962fd4b767c31778c6cb30015b4a8758b4c26b62e51ca9533',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'asm-api':
    version       => '9.8-135.vb_2239d08ee90',
    digest_string => '95e71f7c5e1e98b6dacb4371d51cb6c4443922ec0f88c37409c366a1e4ba37d4',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'bootstrap5-api':
    version       => '5.3.3-2',
    digest_string => 'b3bebc1e4590e15b6b2aa4286940b5b9d312699487c32c84c9278f8bb159151b',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'commons-lang3-api',
      'commons-text-api',
      'font-awesome-api',
    ],
  }

  jenkins::plugin { 'bouncycastle-api':
    version       => '2.30.1.80-256.vf98926042a_9b_',
    digest_string => '164ba1481c6efc98f28e1242977a83c251fdbc98efadf542affd40b5e0738e7b',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'build-symlink':
    version       => '1.1',
    digest_string => 'dc5e517743d872ceefb86199d18c68bef4885c02c275249308a7b37ded8d4504',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'instance-identity',
      'javax-activation-api',
      'javax-mail-api',
      'sshd',
    ],
  }

  jenkins::plugin { 'build-timeout':
    version       => '1.37',
    digest_string => '8a2047ad0f7750b16de389102a72bc0341cd7853fbd0c0cbd38791b98cd27948',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'json-path-api',
      'token-macro',
    ],
  }

  jenkins::plugin { 'caffeine-api':
    version       => '3.2.0-166.v72a_6d74b_870f',
    digest_string => 'd95ee34910e5c965636fc04bb61f1d4d8cb6c457aa3c32ca953243fe2d3df013',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'checks-api':
    version       => '367.v18b_7f530e54a_',
    digest_string => 'e94990b4bdaa7fe3754d897a0452c2d079b458d89ffd7c4d665650f96a2b1c56',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'commons-lang3-api',
      'commons-text-api',
      'display-url-api',
      'plugin-util-api',
      'workflow-step-api',
      'workflow-support',
    ],
  }

  jenkins::plugin { 'cluster-stats':
    version       => '0.4.6',
    digest_string => 'd8f725c71d845d43939ca47ca9b13136c5f1a82dc9064adcc4353ca7a771bdd2',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'bouncycastle-api',
      'command-launcher',
      'instance-identity',
      'javax-activation-api',
      'javax-mail-api',
      'jaxb',
      'jdk-tool',
      'junit',
      'matrix-project',
      'sshd',
      'trilead-api',
    ],
  }

  jenkins::plugin { 'command-launcher':
    version       => '118.v72741845c17a_',
    digest_string => '421e6a0afe1f2e8283343af60ac51843b7b2508aeeff9af0e9d6a34b6307eafa',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'script-security',
    ],
  }

  jenkins::plugin { 'commons-lang3-api':
    version       => '3.17.0-87.v5cf526e63b_8b_',
    digest_string => 'd654d467dbb60d7af0b7641d972abff40b1509a2379b2350b2774e00a1df54cf',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'commons-text-api':
    version       => '1.13.0-153.v91dcd89e2a_22',
    digest_string => '90806f02ee4b06bf49d1a113d64a0c5da56a50d1eabd47853538a5dd9f0c94c2',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'commons-lang3-api',
    ],
  }

  jenkins::plugin { 'conditional-buildstep':
    version       => '1.5.0',
    digest_string => 'eb6cdd4191eb4405949c7b6c0289d90552f47f5e2dd4a41624769e91fb1f8b52',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'run-condition',
      'token-macro',
    ],
  }

  jenkins::plugin { 'copyartifact':
    version       => '765.v0357cc6e6eb_3',
    digest_string => '881b918d8b97feb9c80163ceb5840e0d5ef03b1e1cf30ef42607a8e0de283e00',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'apache-httpcomponents-client-4-api',
      'structs',
    ],
  }

  jenkins::plugin { 'credentials':
    version       => '1413.va_51c53703df1',
    digest_string => 'ce061bebaf12de45fa7a5ec7a4033b5e247d93b54eee0df7384e908281616007',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'bouncycastle-api',
      'structs',
    ],
  }

  jenkins::plugin { 'credentials-binding':
    version       => '687.v619cb_15e923f',
    digest_string => '3a589c067bfc21e3792f2f60efa63a5a46ceedcb13af2b1ad4b1f631e4f37d0d',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'credentials',
      'plain-credentials',
      'ssh-credentials',
      'structs',
      'workflow-step-api',
    ],
  }

  jenkins::plugin { 'cucumber-reports':
    version       => '5.8.5',
    digest_string => 'be034ff1ddcb214584a6d461cda495bdef409a551dd6e1e59e72e68ec4afe1ef',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'structs',
      'token-macro',
    ],
  }

  jenkins::plugin { 'display-url-api':
    version       => '2.209.v582ed814ff2f',
    digest_string => '413075f95bb93769708a5d4d660ca454f10005f10af26f5213f788e9750e6825',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'echarts-api':
    version       => '5.6.0-2',
    digest_string => '24a9cf2b169651956218dfac1df6553dab1099b90b8996cfe01d488a7a64effa',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'bootstrap5-api',
      'commons-lang3-api',
      'commons-text-api',
      'font-awesome-api',
      'jackson2-api',
      'jquery3-api',
      'plugin-util-api',
    ],
  }

  jenkins::plugin { 'eddsa-api':
    version       => '0.3.0.1-19.vc432d923e5ee',
    digest_string => '35c7decb2c08accb96a7a4d54cac7d0af6713c242192142dad56cec50949143a',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'email-ext':
    version       => '1876.v28d8d38315b_d',
    digest_string => 'c0fc6b34b133fd2c8d293d9d02933cf410c5d37fceeca29a7c351f692d806168',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'credentials',
      'jackson2-api',
      'jakarta-mail-api',
      'junit',
      'mailer',
      'matrix-project',
      'scm-api',
      'script-security',
      'structs',
      'token-macro',
    ],
  }

  jenkins::plugin { 'envinject':
    version       => '2.926.v69c9b_3896a_96',
    digest_string => '721b3a62c3608a93fafb2f1718acf64165f23d340b243017f16c25e39f1de28e',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'envinject-api',
      'matrix-project',
      'script-security',
    ],
  }

  jenkins::plugin { 'envinject-api':
    version       => '1.235.va_14c74f8f487',
    digest_string => '4894f0aa439d5c96869b67e76143da8ad3adf6d31da1727be950109bb07896c7',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'flatpickr-api':
    version       => '4.6.13-18.vcf5f6a_5b_8468',
    digest_string => '1d02b7d65787ebfa2cc3d6e00a51c852048fa8a2a1f5edcc94f6ba04b2b4777e',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'font-awesome-api':
    version       => '6.7.2-1',
    digest_string => '039c676c61f45cc256e7759abdc5c3c8d46533895e403cf1128895ad4b19dd3f',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'commons-lang3-api',
      'commons-text-api',
      'plugin-util-api',
    ],
  }

  jenkins::plugin { 'git':
    version       => '5.7.0',
    digest_string => '20f7121b7cfda1d31b0c447b3e3598dc9e5f04fd5fe7e9e784122a496c2e5cea',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'credentials',
      'credentials-binding',
      'git-client',
      'mailer',
      'scm-api',
      'script-security',
      'ssh-credentials',
      'structs',
      'workflow-scm-step',
      'workflow-step-api',
    ],
  }

  jenkins::plugin { 'git-client':
    version       => '6.1.2',
    digest_string => '877642422e79247956bf8e0ce857132a2ba60a1482fae822b769a3233c484f49',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'apache-httpcomponents-client-4-api',
      'credentials',
      'gson-api',
      'mina-sshd-api-common',
      'mina-sshd-api-core',
      'script-security',
      'ssh-credentials',
      'structs',
    ],
  }

  jenkins::plugin { 'global-build-stats':
    version       => '322.v22f4db_18e2dd',
    digest_string => '39f8edd0ee44c1106560fdbbafc2f83c141116ac1fd1586deea233b8f1fa6d6f',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'flatpickr-api',
      'ionicons-api',
    ],
  }

  jenkins::plugin { 'gson-api':
    version       => '2.12.1-113.v347686d6729f',
    digest_string => '831d5ccb408f5f646eb08fa3dc4ce16958fcc72da3c27ed2b1a721642879524d',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'instance-identity':
    version       => '203.v15e81a_1b_7a_38',
    digest_string => 'df2b3205a6177248f12b294650a60405f65ba2cd503ca9599b2dcb72c1de5018',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'bouncycastle-api',
    ],
  }

  jenkins::plugin { 'ionicons-api':
    version       => '82.v0597178874e1',
    digest_string => 'ec8e414ae2a325e070bff80522f013189936150d620e8cad018edb766c47f893',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'jackson2-api':
    version       => '2.18.3-402.v74c4eb_f122b_2',
    digest_string => '7ca2d68754c44b79c8137fb60df3c89b9b9cb42342a42477b1b26dbe47903278',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'javax-activation-api',
      'jaxb',
      'json-api',
      'snakeyaml-api',
    ],
  }

  jenkins::plugin { 'jakarta-activation-api':
    version       => '2.1.3-2',
    digest_string => '784887a95486dfdc37c31fb7a67539fd2ed55fcf5f0d13ccf300488e2b776753',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'jakarta-mail-api':
    version       => '2.1.3-2',
    digest_string => '85ed32925d9e4aca4f7e23b73c61c7c9a643a0accf17f9bdf3f42385217e34c2',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'jakarta-activation-api',
    ],
  }

  jenkins::plugin { 'javax-activation-api':
    version       => '1.2.0-8',
    digest_string => 'e96e88c52edf07ba00fb45b26cc411a7a95fa3d4491aaa1a5d36637665880560',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'javax-mail-api':
    version       => '1.6.2-11',
    digest_string => '59db5e1d1bc70dee92f06fe1de4982b90a678c5ad775fa84c501120717015424',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'javax-activation-api',
    ],
  }

  jenkins::plugin { 'jaxb':
    version       => '2.3.9-133.vb_ec76a_73f706',
    digest_string => '62eddf7775e5b729841a9697625ccd1a5134e754cc476a0098b53b64e0591ee8',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'javax-activation-api',
    ],
  }

  jenkins::plugin { 'jdk-tool':
    version       => '83.v417146707a_3d',
    digest_string => '3f056620342e1a9f97dff41e635970d98a1a33987ed9c9f6c39be7deea341b50',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'apache-httpcomponents-client-4-api',
    ],
  }

  jenkins::plugin { 'jquery3-api':
    version       => '3.7.1-3',
    digest_string => '1823f32895013b8c75adfa975265482968a12aad768c71c66b69960a96e52a34',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'commons-lang3-api',
      'commons-text-api',
    ],
  }

  jenkins::plugin { 'json-api':
    version       => '20250107-125.v28b_a_ffa_eb_f01',
    digest_string => '71ac9158623ca2703cf408f90cc3d8c5aa1806facab0964220148d127886ea38',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'json-path-api':
    version       => '2.9.0-148.v22a_7ffe323ce',
    digest_string => '93fcc1f46b6c292dfc465ae45f094d5e0eb7ad37a60a9976ad43f0f4b5b55991',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'asm-api',
    ],
  }

  jenkins::plugin { 'junit':
    version       => '1321.v399b_3e395b_5a_',
    digest_string => 'de881048370a6333622dc21ba5ba6e4d5341e4430c67240652d08f81396de727',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'bootstrap5-api',
      'checks-api',
      'display-url-api',
      'echarts-api',
      'ionicons-api',
      'jackson2-api',
      'plugin-util-api',
      'script-security',
      'workflow-api',
      'workflow-step-api',
    ],
  }

  jenkins::plugin { 'mailer':
    version       => '489.vd4b_25144138f',
    digest_string => '1d836fe30c6515f3918f951d12a4f4aad1d9108eeaa059ff8beaae5e44527da0',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'display-url-api',
      'instance-identity',
      'jakarta-mail-api',
    ],
  }

  jenkins::plugin { 'matrix-project':
    version       => '847.v88a_f90ff9f20',
    digest_string => 'f4a4aeadf50e2e86492873cb5ff35f115bd2b3c6f1e9bc227b373c249a642511',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'ionicons-api',
      'junit',
      'script-security',
    ],
  }

  jenkins::plugin { 'mina-sshd-api-common':
    version       => '2.15.0-161.vb_200831a_c15b_',
    digest_string => 'c8c7b80c3cfd6a6ab40effff19d2f43338ee12345f51774c43b9628be4256960',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'mina-sshd-api-core':
    version       => '2.15.0-161.vb_200831a_c15b_',
    digest_string => '4e55944cda37658d692215740c842850d11b4baef79b5aa9bcb4085b66ba1a59',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'mina-sshd-api-common',
    ],
  }

  jenkins::plugin { 'parameterized-trigger':
    version       => '840.v3c7d4a_a_5e6c7',
    digest_string => '6498279150bf59320f7ae9c0c5405592221f4a6a659ccfc198e3bb82eafa7a33',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'matrix-project',
      'script-security',
    ],
  }

  jenkins::plugin { 'plain-credentials':
    version       => '195.vb_906e9073dee',
    digest_string => 'ea6b3b4da3fcc73cab79703364735c18d6777c80c8b4511e55eb0767d33c9756',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'credentials',
    ],
  }

  jenkins::plugin { 'plugin-util-api':
    version       => '6.1.0',
    digest_string => '8a05d7920ecde96f45406a926ff6708ce70aa7c830444ecaffc9ebe1220a45d0',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'commons-lang3-api',
      'commons-text-api',
      'workflow-api',
      'workflow-step-api',
      'workflow-support',
    ],
  }

  jenkins::plugin { 'postbuildscript':
    version       => '3.4.1-695.vf6b_0b_8053979',
    digest_string => '2595692b5a9ef7fa27e7d8d348105a1b3fcd42b140f7dae0964f83e9c3f0c234',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'matrix-project',
    ],
  }

  jenkins::plugin { 'PrioritySorter':
    version       => '849.v459ea_77d16d4',
    digest_string => '7657901c15dbcb1cbf58d610b2452fd38141549777fc25e9054c8836690d8190',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'ionicons-api',
    ],
  }

  jenkins::plugin { 'resource-disposer':
    version       => '0.25',
    digest_string => '2794c871cc479ed37fd04a85fe8d4f4aa7fee1c7929c447c8b8fa239548e3bf2',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'run-condition':
    version       => '243.v3c3f94e46a_8b_',
    digest_string => '1ec8909eccc7c698858e6918660ddc0fcfc530391417d249b36409cf1abbf6e3',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'token-macro',
    ],
  }

  jenkins::plugin { 'scm-api':
    version       => '704.v3ce5c542825a_',
    digest_string => 'ee7223516ab011f8431f93dd50fd22718c60ecde50eeffebf295554221da10c9',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'asm-api',
      'structs',
    ],
  }

  jenkins::plugin { 'scoring-load-balancer':
    version       => '165.v1b_ef69a_329d1',
    digest_string => '4c9cb21a0252be9a27fbc853a11fb729bc3c06255d3d8e0edf614081597efed2',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'matrix-project',
    ],
  }

  jenkins::plugin { 'script-security':
    version       => '1373.vb_b_4a_a_c26fa_00',
    digest_string => '7199fe62124b15776595331bcafe3f4c3d48293a535dfdaaf44df6f1b5efc427',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'caffeine-api',
    ],
  }

  jenkins::plugin { 'snakeyaml-api':
    version       => '2.3-125.v4d77857a_b_402',
    digest_string => '8995f229e7e1558fd8482229ed132353cbb3258009f3b9f1845d617f0ac17e42',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'ssh-credentials':
    version       => '355.v9b_e5b_cde5003',
    digest_string => '1486161e2344f347827ba991b7a7b8db1bdb3030f65c4a960c609bf364dc6b6c',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'bouncycastle-api',
      'credentials',
      'variant',
    ],
  }

  jenkins::plugin { 'sshd':
    version       => '3.353.v2b_d33c46e970',
    digest_string => 'c171bffabf33a6dce0491ea486a2da74152be0868e3199b7b34534cb37f564ce',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'eddsa-api',
      'instance-identity',
      'mina-sshd-api-common',
      'mina-sshd-api-core',
    ],
  }

  jenkins::plugin { 'structs':
    version       => '343.vdcf37b_a_c81d5',
    digest_string => '10708c30f652ace243ab0401f39139c51a870adda76ed73387ac072eed61428b',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'timestamper':
    version       => '1.28',
    digest_string => 'ae70f001f26fef032d0bfee7104443712b2d82e87ce8a7517cd0f8e721ac57ee',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'antisamy-markup-formatter',
      'commons-lang3-api',
      'workflow-api',
      'workflow-step-api',
    ],
  }

  jenkins::plugin { 'token-macro':
    version       => '444.v52de7e9c573d',
    digest_string => '1b0f9b14beb5358a03dedc32eff09c81b3696b9dd2547a4a236f9888f7579e6a',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'json-path-api',
      'structs',
      'workflow-step-api',
    ],
  }

  jenkins::plugin { 'trilead-api':
    version       => '2.192.vc50a_d147e369',
    digest_string => 'dd29d98ed02e4dbe7b0aab0c117eb460e386657c50e3ebf459bb223acf8863a7',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'eddsa-api',
      'gson-api',
    ],
  }

  jenkins::plugin { 'variant':
    version       => '70.va_d9f17f859e0',
    digest_string => '12e214ea694469a4461b55881ecb4074ae5dfb04797dbc0dad390f6f4bc75aaf',
    digest_type   => 'sha256',
  }

  jenkins::plugin { 'workflow-api':
    version       => '1371.ve334280b_d611',
    digest_string => '0557f6cea9e5f4658e0685a614ac41340df3e1181669facc1e6b4f7c61eeb183',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'scm-api',
      'workflow-step-api',
    ],
  }

  jenkins::plugin { 'workflow-scm-step':
    version       => '437.v05a_f66b_e5ef8',
    digest_string => '72fe9cb99f48d0d1233b281285919959233b7b60fac62af33a1137325a235016',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'workflow-step-api',
    ],
  }

  jenkins::plugin { 'workflow-step-api':
    version       => '700.v6e45cb_a_5a_a_21',
    digest_string => '201e30f69706b98bfe80eaf24f0f735f3f5d7a1e0cd069243d15a3de22007e48',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'structs',
    ],
  }

  jenkins::plugin { 'workflow-support':
    version       => '963.va_600813d04a_a_',
    digest_string => '8afa718dcbf41c616c196fb5d7de6d8c23eb2eb37f66ef0b1e8eda760d91f24b',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'caffeine-api',
      'scm-api',
      'script-security',
      'workflow-api',
      'workflow-step-api',
    ],
  }

  jenkins::plugin { 'ws-cleanup':
    version       => '0.48',
    digest_string => 'a0f0b871a7c2aa894d529fa222ebef8e591c7f418ff65f164f3ceb0b876dd983',
    digest_type   => 'sha256',
    require       => Jenkins::Plugin[
      'matrix-project',
      'resource-disposer',
      'structs',
    ],
  }
}
