# @summary
#   Manage a system's timezone.
#
# @example
#   include profile::tails::timezone
#
# @param region
#   A string defining the system's region, defaults to Etc.
#
# @param locality
#   A string defining the system's locality, defaults to UTC.
#
class profile::tails::timezone (
  String $region   = 'Etc',
  String $locality = 'UTC',
) {
  class { 'timezone':
    region   => $region,
    locality => $locality,
  }
}
